View Issue Details

IDProjectCategoryView StatusLast Update
0002440Far ManagerMacropublic2013-11-10 21:28
ReporterccaidAssigned Toshmuel 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002440: akey(1) и одиночные нажатия модификаторов
Descriptionпри нажатии одиночных модификаторов ((.Alt)|(.Ctrl)|(Shift)) akey(1) возвращает символ смайлика вместо названия клавиши.
Steps To ReproduceMacro { area="Editor"; key="/.+/"; action=function()
    msgbox('',mf.akey(1)) Keys('AKey')
end; }
Additional Informationhttp://forum.farmanager.com/viewtopic.php?f=57&t=8053&p=111070#p111070
TagsNo tags attached.
Build3708

Activities

JohnDoe

2013-07-02 11:37

updater   bugnote:0011234

Аналогичный эффект возникает и в некоторых других случаях.
Например: lm:post print(akey(1))

2useven10

2013-07-02 15:41

developer   bugnote:0011238

в транке приведённый макрос выводит Ctrl / Alt / Shift...

ccaid

2013-07-02 19:21

reporter   bugnote:0011240

Last edited: 2013-07-02 19:22

View 2 revisions

скопировал обходной работающий вариант, забыв поправить. должно быть:
mf.akey(1) вместо mf.akey(1,1)
(как в заголовке инца и написано)

shmuel

2013-11-08 20:49

developer   bugnote:0011524

3708.

Issue History

Date Modified Username Field Change
2013-07-01 23:36 ccaid New Issue
2013-07-02 11:37 JohnDoe Note Added: 0011234
2013-07-02 15:41 2useven10 Note Added: 0011238
2013-07-02 19:21 ccaid Note Added: 0011240
2013-07-02 19:22 ccaid Note Edited: 0011240 View Revisions
2013-07-02 19:28 2useven10 Steps to Reproduce Updated View Revisions
2013-11-08 20:49 shmuel Note Added: 0011524
2013-11-08 20:49 shmuel Assigned To => shmuel
2013-11-08 20:49 shmuel Status new => feedback
2013-11-10 21:28 shmuel Build => 3708
2013-11-10 21:28 shmuel Status feedback => closed
2013-11-10 21:28 shmuel Resolution open => fixed
2013-11-10 21:28 shmuel Fixed in Version => 3.0